Skip to main content
GET
/
api
/
btc
/
addresses
/
{address}
Get address statistics (chain + mempool)
curl --request GET \
  --url https://nexus.gerowallet.io/api/btc/addresses/{address} \
  --header 'Authorization: Bearer <token>'
{
  "address": "<string>",
  "chainStats": {
    "txCount": 123,
    "fundedTxoCount": 123,
    "fundedTxoSum": 123,
    "spentTxoCount": 123,
    "spentTxoSum": 123
  },
  "mempoolStats": {
    "txCount": 123,
    "fundedTxoCount": 123,
    "fundedTxoSum": 123,
    "spentTxoCount": 123,
    "spentTxoSum": 123
  }
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

address
string
required
Required string length: 14 - 128
Pattern: ^[a-zA-HJ-NP-Z0-9]{14,128}$

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

200 - */*

OK

Bitcoin address statistics

address
string

The queried address

chainStats
object

On-chain stats (confirmed)

mempoolStats
object

Mempool stats (unconfirmed)